import request from '@/utils/request'

// 查询车辆编码列表
export function listVehiclecode(query) {
  return request({
    url: '/platform/vehiclecode/list',
    method: 'get',
    params: query
  })
}

// 查询车辆编码详细
export function getVehiclecode(id) {
  return request({
    url: '/platform/vehiclecode/' + id,
    method: 'get'
  })
}

// 新增车辆编码
export function addVehiclecode(data) {
  return request({
    url: '/platform/vehiclecode',
    method: 'post',
    data: data
  })
}

// 修改车辆编码
export function updateVehiclecode(data) {
  return request({
    url: '/platform/vehiclecode',
    method: 'put',
    data: data
  })
}

// 删除车辆编码
export function delVehiclecode(id) {
  return request({
    url: '/platform/vehiclecode/' + id,
    method: 'delete'
  })
}
